<template>
  <div class="quote-progress content-contained">
    <div class="row g-0 no-gutters">
      <div v-for="(tab, index) in tabs" :key="`tab-${index}`" class="col">
        <div
          class="quote-progress__item"
          :class="[{ active: index == tabIndex }, { first: index === 0 }]"
        >
          <div class="quote-progress__number">
            <!-- <span>{{ index + 1 }}</span> -->
          </div>

          <div class="quote-progress__label"><!-- {{ tab.name }} --></div>
        </div>
      </div>
      <div class="col">
        <div class="quote-progress__item last">
          <div class="quote-progress__number add-sign">
            <!-- <span>{{ index + 1 }}</span> -->
          </div>

          <div class="quote-progress__label">
            <!-- <b>gebouw toevoegen</b> -->
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  data() {
    return {};
  },
  props: {
    tabIndex: Number,
    tabs: Array,
  },
};
</script>
<style lang="scss" scoped>
.quote-progress__item {
  position: relative;
  &:after {
    content: "";
    display: block;
    width: 100%;
    height: 2px;
    left: 0;
    top: 12.5px;
    position: absolute;
    background: var(--light-grey);
    z-index: 0;
  }
  &.first:after {
    width: 50%;
    left: 50%;
  }
  &.last:after {
    width: 50%;
    left: 0;
  }
  &.active {
    .quote-progress__number {
      background: var(--light-grey);
      color: #fff;
      font-weight: 700;
    }
    .quote-progress__label {
      color: green;
    }
    &:after {
      background: var(--light-grey);
    }
  }
}
.quote-progress__label {
  color: var(--grey);
  font-weight: 500;
  font-size: 0.75rem;
  text-align: center;
  max-width: 80px;
  margin-left: auto;
  margin-right: auto;
}
.quote-progress__number {
  background: white;
  border: 2px solid #a5a5a5;
  position: relative;
  z-index: 2;
  left: 50%;
  transform: translateX(-50%);
  width: 25px;
  height: 25px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  // border: 1px solid $primary;
  color: #a5a5a5;
  font-size: 0.8rem;
  font-weight: 600;
  margin-bottom: 0.5rem;
  position: relative;
}

.add-sign {
  &::before,
  &::after {
    content: "";
    position: absolute;
    background-color: var(--light-grey);
  }

  &::before {
    top: 50%;
    left: 15%;
    width: 70%;
    height: 1.5px;
    transform: translateY(-50%);
  }

  &::after {
    left: 50%;
    top: 15%;
    width: 1.5px;
    height: 70%;
    transform: translateX(-50%);
  }
}
</style>
